'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CommonMark = require('commonmark');
var MarkdownRenderer = require('commonmark-react-renderer');

var parser = new CommonMark.Parser();
var renderer = new MarkdownRenderer();

var mdRender = function mdRender(input) {
  return renderer.render(parser.parse(input));
};

var MarkdownDisplay = function MarkdownDisplay(props) {
  return _react2.default.createElement(
    'div',
    null,
    mdRender(props.data)
  );
};

MarkdownDisplay.propTypes = {
  data: _react2.default.PropTypes.string.isRequired
};

exports.default = MarkdownDisplay;
//# sourceMappingURL=markdown-display.js.map